Personal tools
You are here: Home Forum Install & build Installing binaries on SuSe10.0

Installing binaries on SuSe10.0

Up to Install & build
  • Installing binaries on SuSe10.0

    Posted by AbhishekBasak at November 16. 2007
    Hi,
    I downloaded the Mandriva 2006 version of Salome 3.2.6. I am using gcc as native and binaries for all other. When I try to run I get the following message:


    linux:/salome_3.2.6/KERNEL_3.2.6/bin/salome # source runSalome
    Configure parser: Warning : could not find user configuration file
    Searching for a free port for naming service: 2810 2811 2812 2813 2814 2815 2816 2817 2818 2819 - OK
    Lancement du Naming Service runNS.sh > /tmp/logs/root/salomeNS.log 2>&1
    Searching Naming Service ++++++++++Failed to narrow the root naming context
    Traceback (most recent call last):
      File "/salome_3.2.6/KERNEL_3.2.6/bin/salome/runSalome.py", line 802, in useSalome
        clt = startSalome(args, modules_list, modules_root_dir)
      File "/salome_3.2.6/KERNEL_3.2.6/bin/salome/runSalome.py", line 629, in startSalome
        clt=orbmodule.client()
      File "/salome_3.2.6/KERNEL_3.2.6/bin/salome/orbmodule.py", line 60, in __init__
        self.initNS()
      File "/salome_3.2.6/KERNEL_3.2.6/bin/salome/orbmodule.py", line 93, in initNS
        sys.exit(1)
    SystemExit: 1


    --- erreur au lancement Salome ---
    linux:/salome_3.2.6/KERNEL_3.2.6/bin/salome #

    Any ideas,
    Thanks
    Abhishek
    • Re: Installing binaries on SuSe10.0

      Posted by AbhishekBasak at November 17. 2007
      Hi,

      I figured this one out. Going through old posts,  I figured that the problem was in my /etc/hosts file where the hostname was listed as  "locathost".  it appears that this is not eneough for  omniORB. I used to the "hostname" command to get the hostname for my installation, and replaced the "localhost" with the hostname. I had also placed libgfortran.so.0 (from a FC4 rpm) into /usr/lib/.

      Salome works right now,  at least enough to move about a bit. i have not tested all the modules yet. Also I get the following warning messages

      ****************************************************************
      *    Warning: library Component cannot be found
      *    Module will not be available
      ****************************************************************
      ****************************************************************
      *    Warning: library PyCalculator cannot be found
      *    Module will not be available
      ****************************************************************
      I get that these are discussed in
      http://www.salome-platform.org/forum/forum_9/thread_1371

      It appears that I have to install gd graphic library development kit. Anyway I will try it out and keep posted.

      Abhishek
      • Re: Installing binaries on SuSe10.0

        Posted by Floren Plaza at February 04. 2008
        Hi,
        I would like to install Salome on a duo core intel laptop running opensuse 10.3, with gfortran-4.2, gcc-4.2 and g++-4.2 already installed.  I believe Abhishek that you have been succesful in installing the Mandriva 2006 version (32 bit version ?) of Salome 3.2.6 in suse 10.0, but with quite a few problems ?  Did you install from the source ?
        Does anyone know of any other options ?
        Cheers,
        Floren


Powered by Ploneboard
Document Actions